Download the edited file
Returns the edited file for download. Only available when status is “completed”.
On this page
HTTP request
GET https://api.parsewise.ai/api/v1/projects/{project_id}/file-edit/download/
URI Parameters
| Name |
In |
Required |
Type |
Description |
project_id |
path |
Yes |
string (uuid) |
|
| Name |
Required |
Type |
Description |
X-API-Key |
Yes |
string |
API key with the pw_live_ prefix. See Authentication. |
Responses
| Status |
Type |
Description |
200 |
string (binary) (application/octet-stream) |
— |
Security
- ApiKeyAuth — apiKey — in
X-API-Key header. API key with pw_live_ prefix.
Python example
import os
import requests
API_KEY = os.environ["PARSEWISE_API_KEY"]
BASE_URL = "https://api.parsewise.ai/api/v1"
project_id = "<uuid>"
resp = requests.get(
f"{BASE_URL}/projects/{project_id}/file-edit/download/",
headers={"X-API-Key": API_KEY},
)
resp.raise_for_status()
with open("response.bin", "wb") as f:
f.write(resp.content)